<template>
	<view>
		<view class="imageContent">
			<image
				src="/static/logo.png"
				style="width: 267.31rpx; height: 403.85rpx"
			/>
		</view>
		<view class="formContent">
			<u-form ref="uForm" label-width="70" :model="form">
				<u-form-item label="单位">
					<u-input v-model="form.name" placeholder="请输入责任单位" />
				</u-form-item>
				<u-form-item label="姓名">
					<u-input v-model="form.intro" placeholder="请输入姓名" />
				</u-form-item>
				<u-form-item label="联系电话">
					<u-input v-model="form.intro" placeholder="请输入联系电话" />
				</u-form-item>
			</u-form>
			<p class="tips">
				<text>温馨提示：请您填写以上信息，我们会尽快为您审核，并建立档案</text>
			</p>
			<u-button @click="submit">注册</u-button>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			form: {},
			rules: {
				name: [
					{
						required: true,
						message: '请输入账号',
						// 可以单个或者同时写两个触发验证方式
						trigger: ['change', 'blur'],
					},
				],
				password: [
					{
						required: true,
						message: '请输入密码',
						trigger: ['change', 'blur'],
					},
				],
			},
		}
	},
	onReady() {
		this.$refs.uForm.setRules(this.rules)
	},
	methods: {},
	// 必须要在onReady生命周期，因为onLoad生命周期组件可能尚未创建完毕
}
</script>

<style scoped lang="scss">
.imageContent {
  text-align: center;
  margin: 38.46rpx 0rpx;
}
.formContent {
  padding: 0rpx 48.08rpx;
}
.tips {
  font-size: 12px;
  margin: 38.46rpx 0;
}

</style>
